My Project: OpenSubdiv::OPENSUBDIV_VERSION::Far Namespace Reference

| My Project

Namespaces | Classes | Typedefs | Enumerations | Functions
OpenSubdiv::OPENSUBDIV_VERSION::Far Namespace Reference

## Namespaces
| internal

## Classes
class | LimitStencil
| Limit point stencil class wrapping the template for compatibility. More...
class | LimitStencilReal
| Limit point stencil descriptor. More...
class | LimitStencilTable
| Limit stencil table class wrapping the template for compatibility. More...
class | LimitStencilTableFactory
| Stencil table factory class wrapping the template for compatibility. More...
class | LimitStencilTableFactoryReal
| A specialized factory for LimitStencilTable. More...
class | LimitStencilTableReal
| Table of limit subdivision stencils. More...
class | PatchDescriptor
| Describes the type of a patch. More...
class | PatchMap
| An quadtree-based map connecting coarse faces to their sub-patches. More...
struct | PatchParam
| Patch parameterization. More...
class | PatchTable
| Container for arrays of parametric patches. More...
class | PatchTableFactory
| Factory for constructing a PatchTable from a TopologyRefiner. More...
class | PrimvarRefiner
class | PrimvarRefinerReal
| Applies refinement operations to generic primvar data. More...
class | PtexIndices
| Object used to compute and query ptex face indices. More...
class | Stencil
| Vertex stencil class wrapping the template for compatibility. More...
class | StencilReal
| Vertex stencil descriptor. More...
class | StencilTable
| Stencil table class wrapping the template for compatibility. More...
class | StencilTableFactory
| Stencil table factory class wrapping the template for compatibility. More...
class | StencilTableFactoryReal
| A specialized factory for StencilTable. More...
class | StencilTableReal
| Table of subdivision stencils. More...
struct | TopologyDescriptor
| A simple reference to raw topology data for use with TopologyRefinerFactory. More...
class | TopologyLevel
| An interface for accessing data in a specific level of a refined topology hierarchy. More...
class | TopologyRefiner
| Stores topology data for a specified set of refinement options. More...
class | TopologyRefinerFactory
| Factory for constructing TopologyRefiners from specific mesh classes. More...
class | TopologyRefinerFactoryBase
| Private base class of Factories for constructing TopologyRefiners. More...

## Typedefs
typedef void(* | ErrorCallbackFunc) (ErrorType err, const char *message)
| The error callback function type (default is "printf") More...
typedef void(* | WarningCallbackFunc) (const char *message)
| The warning callback function type (default is "printf") More...
typedef Vtr::ConstArray< PatchDescriptor > | ConstPatchDescriptorArray
typedef std::vector< PatchParam > | PatchParamTable
typedef Vtr::Array< PatchParam > | PatchParamArray
typedef Vtr::ConstArray< PatchParam > | ConstPatchParamArray
typedef Vtr::Index | Index
typedef Vtr::LocalIndex | LocalIndex
typedef Vtr::IndexArray | IndexArray
typedef Vtr::LocalIndexArray | LocalIndexArray
typedef Vtr::ConstIndexArray | ConstIndexArray
typedef Vtr::ConstLocalIndexArray | ConstLocalIndexArray

## Enumerations
enum | ErrorType { FAR_NO_ERROR, FAR_FATAL_ERROR, FAR_INTERNAL_CODING_ERROR, FAR_CODING_ERROR, FAR_RUNTIME_ERROR }

## Functions
void | SetErrorCallback (ErrorCallbackFunc func)
| Sets the error callback function (default is "printf") More...
void | SetWarningCallback (WarningCallbackFunc func)
| Sets the warning callback function (default is "printf") More...
void | Error (ErrorType err, const char *format,...)
| Sends an OSD error with a message (internal use only) More...
void | Warning (const char *format,...)
| Sends an OSD warning message (internal use only) More...
bool | IndexIsValid (Index index)

## Typedef Documentation

## ◆ ConstIndexArray

typedef Vtr::ConstIndexArray ConstIndexArray

Definition at line 47 of file types.h.

## ◆ ConstLocalIndexArray

typedef Vtr::ConstLocalIndexArray ConstLocalIndexArray

Definition at line 48 of file types.h.

## ◆ ConstPatchDescriptorArray

typedef Vtr::ConstArray<PatchDescriptor> ConstPatchDescriptorArray

Definition at line 140 of file patchDescriptor.h.

## ◆ ConstPatchParamArray

typedef Vtr::ConstArray<PatchParam> ConstPatchParamArray

Definition at line 246 of file patchParam.h.

## ◆ ErrorCallbackFunc

typedef void(* ErrorCallbackFunc) (ErrorType err, const char *message)

The error callback function type (default is "printf")

Definition at line 45 of file error.h.

## ◆ Index

typedef Vtr::Index Index

Definition at line 41 of file types.h.

## ◆ IndexArray

typedef Vtr::IndexArray IndexArray

Definition at line 44 of file types.h.

## ◆ LocalIndex

typedef Vtr::LocalIndex LocalIndex

Definition at line 42 of file types.h.

## ◆ LocalIndexArray

typedef Vtr::LocalIndexArray LocalIndexArray

Definition at line 45 of file types.h.

## ◆ PatchParamArray

typedef Vtr::Array<PatchParam> PatchParamArray

Definition at line 245 of file patchParam.h.

## ◆ PatchParamTable

typedef std::vector<PatchParam> PatchParamTable

Definition at line 243 of file patchParam.h.

## ◆ WarningCallbackFunc

typedef void(* WarningCallbackFunc) (const char *message)

The warning callback function type (default is "printf")

Definition at line 57 of file error.h.

## Enumeration Type Documentation

## ◆ ErrorType

enum ErrorType

Enumerator
FAR_NO_ERROR | No error. Move along.
FAR_FATAL_ERROR | Issue a fatal error and end the program.
FAR_INTERNAL_CODING_ERROR | Issue an internal programming error, but continue execution.
FAR_CODING_ERROR | Issue a generic programming error, but continue execution.
FAR_RUNTIME_ERROR | Issue a generic runtime error, but continue execution.

Definition at line 35 of file error.h.

## Function Documentation

## ◆ Error()

void OpenSubdiv::OPENSUBDIV_VERSION::Far::Error | ( | ErrorType | err,
|  | const char * | format,
|  |  | ...
| ) |  |

Sends an OSD error with a message (internal use only)

Parameters

  err | the error type
  format | the format of the message (followed by arguments)

## ◆ IndexIsValid()

bool OpenSubdiv::OPENSUBDIV_VERSION::Far::IndexIsValid | ( | Index | index | ) |
| inline

Definition at line 50 of file types.h.

## ◆ SetErrorCallback()

void OpenSubdiv::OPENSUBDIV_VERSION::Far::SetErrorCallback | ( | ErrorCallbackFunc | func | ) |

Sets the error callback function (default is "printf")

Note
  This function is not thread-safe !

Parameters

  func | function pointer to the callback function

## ◆ SetWarningCallback()

void OpenSubdiv::OPENSUBDIV_VERSION::Far::SetWarningCallback | ( | WarningCallbackFunc | func | ) |

Sets the warning callback function (default is "printf")

Note
  This function is not thread-safe !

Parameters

  func | function pointer to the callback function

## ◆ Warning()

void OpenSubdiv::OPENSUBDIV_VERSION::Far::Warning | ( | const char * | format,
|  |  | ...
| ) |  |

Sends an OSD warning message (internal use only)

Parameters

  format | the format of the message (followed by arguments)